V9.0
get
/ec-designer-svc/rest/v9.0/studies/{studyId}/studyversionobjects/paginated
Returns paginated study version objects for the requested study. Compared with v8.0, this version returns the v11 study-version-object response shape while retaining formCategory filtering and pagination metadata.
Request
Path Parameters
-
studyId(required): string(uuid)
Study ID (UUID, 32-character uppercase hexadecimal string). Required.Example:
2F9A6C7E1B8F4D56A23C9F3A0C7D4E11
Query Parameters
-
formCategory: string
Return forms with this Form Category. Optional.Default Value:
DCSAllowed Values:[ "DCS", "CRF", "UNBLINDED", "ADJUDICATION", "DIARY", "DEFAULT" ]Example:DCS -
limit: string
Maximum number of study versions to return. Optional.Default Value:
1000Example:1000 -
offset: string
Zero-based offset within the study version result set. Optional.Default Value:
0Example:0 -
order: string
Sort direction for study versions. Optional. Allowed values: asc, desc.Default Value:
ascAllowed Values:[ "asc", "desc" ]Example:asc
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
200 Response
Successful operation.
Root Schema : DesignerPaginatedResponse
Type:
objectTitle:
DesignerPaginatedResponseDesigner paginated response.
Show Source
-
count(required): integer
(int32)
How many pages in the paginated subList.Example:
2 -
hasMore(required): boolean
Yes - if there is at least one next page exists.Example:
false -
limit(required): integer
(int32)
Max requested number of pages in the paginated subList.Example:
3 -
offset(required): integer
(int32)
Requested lower page (inclusive) of the paginated subList.Example:
2 -
resultData(required): object
resultData
-
totalResults(required): integer
(int32)
How many pages for a paginated object exist.Example:
6
Nested Schema : resultData
Type:
objectExamples
204 Response
Successful operation.
Root Schema : DesignerPaginatedResponse
Type:
objectTitle:
DesignerPaginatedResponseDesigner paginated response.
Show Source
-
count(required): integer
(int32)
How many pages in the paginated subList.Example:
2 -
hasMore(required): boolean
Yes - if there is at least one next page exists.Example:
false -
limit(required): integer
(int32)
Max requested number of pages in the paginated subList.Example:
3 -
offset(required): integer
(int32)
Requested lower page (inclusive) of the paginated subList.Example:
2 -
resultData(required): object
resultData
-
totalResults(required): integer
(int32)
How many pages for a paginated object exist.Example:
6
Nested Schema : resultData
Type:
objectExamples
500 Response
Returned when the request cannot be completed due to validation failure, authorization failure, or an unexpected server-side condition.
Root Schema : ErrorResponseData
Type:
objectTitle:
ErrorResponseDataError Response Details Information
Show Source
-
details: object
Object
Title:
ObjectObject with error details information. -
errorCode: string
Error code which is stored in ErrorCode enum. Example : C1-003Example:
C1-003 -
errorMessage: string
Error message which is stored in service property file. Example : Cannot modify object after a study version has been approvedExample:
Cannot modify object after a study version has been approved
Nested Schema : Object
Type:
objectTitle:
ObjectObject with error details information.
Example:
{
"field":"studyId",
"reason":"Invalid value"
}